summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2017-07-25 14:44:13 +0200
committer Matteo Bernardini2019-08-10 07:00:35 +0200
commite2441ad52e857bdb3e6cdfc58f715ca8c26b390a (patch)
tree15bc17e8161f8ec16ba8f0ecdf1b5523be39b852
parent4b75a86e141dc33934610bafa3feef16dd33e1b3 (diff)
downloadslackbuilds-apache-log4cxx.tar.gz
development/apache-log4cxx: Fix for gcc >= 6.x.apache-log4cxx
Thanks to archlinux (from upstream commit r1735442) Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--development/apache-log4cxx/apache-log4cxx.SlackBuild1
-rw-r--r--development/apache-log4cxx/narrowing-fixes.patch.gzbin0 -> 1631 bytes
2 files changed, 1 insertions, 0 deletions
diff --git a/development/apache-log4cxx/apache-log4cxx.SlackBuild b/development/apache-log4cxx/apache-log4cxx.SlackBuild
index 8e1adafefb..a0971e9701 100644
--- a/development/apache-log4cxx/apache-log4cxx.SlackBuild
+++ b/development/apache-log4cxx/apache-log4cxx.SlackBuild
@@ -70,6 +70,7 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
zcat $CWD/fixincludes.patch.gz | patch -p1 || exit
+zcat $CWD/narrowing-fixes.patch.gz | patch -p1 || exit
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/development/apache-log4cxx/narrowing-fixes.patch.gz b/development/apache-log4cxx/narrowing-fixes.patch.gz
new file mode 100644
index 0000000000..cd79cc6971
--- /dev/null
+++ b/development/apache-log4cxx/narrowing-fixes.patch.gz
Binary files differ